The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages expected in November 2026. We hope you enjoy the updated experience.

Get password configuration policy

Prev Next

Returns the appliance-wide password policy configuration for all users on the Trellix NDR appliance.

Note

Only users with Administrator privileges can view the password configuration.

Path (or URL)

GET https://<NDRC_IP_address>/config/v1/password-policy

cURL code sample

curl -k -u <username>:<password> -X GET https://<NDR_IP_address>/config/v1/password-policy

Response

Response parameters

Parameters

Data type

Description

requireStrongPassword

Boolean

Displays requirement of the strong password.

requireUppercase

Boolean

Displays whether password contains uppercase

requireLowercase

Boolean

Displays whether password contains lowercase characters

minLength

Integer

Displays the minimum length requirement in password

requireNumbers

Boolean

Displays the number requirement in password.

minNumbers

Integer

Displays the minimum number requirement in password.

requireSpecialChar

Boolean

Displays whether special characters are opted for.

disallowUsername

Boolean

Displays whether username is not allowed in password

trackPasswordHistory

Boolean

Displays whether password tracking history is enabled

historyCount

Integer

Displays the password tracking history count.

enableExpiration

Boolean

Displays if password expiry is enabled.

maxPasswordAge

Integer

Displays the number of days after which password is set to expire.

expiryNotificationDays

Integer

Shows the number of days prior which user will be notified about password expiry

enableLoginLockout

Boolean

Displays if account lockout is enabled,

maxFailedAttempts

Integer

Displays the maximum failed attempt count configured.

lockoutDuration

Integer

Displays the configured lockout duration in days.

enableIdleTimeout

Boolean

Displays if idle timeout is enabled.

idleTimeoutMinutes

Integer

Displays idle timeout duration configured in minutes.

Response example

{
"requireStrongPassword": true,
"requireUppercase": true,
"requireLowercase": true,
"minLength": 10,
"requireNumbers": true,
"minNumbers": 2,
"requireSpecialChar": true,
"disallowUsername": true,
"trackPasswordHistory": true,
"historyCount": 5,
"enableExpiration": false,
"maxPasswordAge": 90,
"expiryNotificationDays": 15,
"enableLoginLockout": true,
"maxFailedAttempts": 5,
"lockoutDuration": 30,
"enableIdleTimeout": true,
"idleTimeoutMinutes": 15
}
    

Response codes

Status

Response

Description

200

OK

Successfully retrieved the global password policy configuration.

401

Unauthorized

The user is not authenticated or the session token is missing/invalid.

403

Forbidden

The authenticated user lacks the required Admin privileges to view the policy.

500

Internal Server Error

The server encountered an error while trying to read the policy configuration file.